Bug 997536 - tuna - listing threads using -CP ends with traceback
Summary: tuna - listing threads using -CP ends with traceback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tuna
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Arnaldo Carvalho de Melo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1000025
TreeView+ depends on / blocked
 
Reported: 2013-08-15 14:21 UTC by Jiri Kastner
Modified: 2019-01-09 12:33 UTC (History)
3 users (show)

Fixed In Version: tuna-0.11.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1000025 (view as bug list)
Environment:
Last Closed: 2013-09-09 23:50:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Kastner 2013-08-15 14:21:29 UTC
Description of problem:
when listing threads using -CP tuna ends with traceback.

Version-Release number of selected component (if applicable):
tuna-0.11+

How reproducible:
always

Steps to Reproduce:
1. sudo tuna -CP
2. check output

Actual results:
# tuna -CP
...
Traceback (most recent call last):
  File "/bin/tuna", line 647, in <module>
    main()
  File "/bin/tuna", line 542, in main
    kthreads, affect_children, show_sockets, cgroups)
  File "/bin/tuna", line 310, in do_ps
    has_ctxt_switch_info, sock_inodes, sock_inode_re, cgroups)
  File "/bin/tuna", line 275, in ps_show
    sock_inode_re, cgroups)
  File "/bin/tuna", line 230, in ps_show_thread
    sock_inodes, sock_inode_re)
TypeError: ps_show_thread() takes exactly 7 arguments (6 given)

Expected results:
no traceback

Additional info:

Comment 1 Fedora Update System 2013-09-06 19:53:46 UTC
tuna-0.11.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tuna-0.11.1-2.fc20

Comment 2 Fedora Update System 2013-09-06 19:55:17 UTC
tuna-0.11.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tuna-0.11.1-2.fc19

Comment 3 Fedora Update System 2013-09-06 19:56:06 UTC
tuna-0.11.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuna-0.11.1-2.fc18

Comment 4 Fedora Update System 2013-09-07 17:03:20 UTC
Package tuna-0.11.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuna-0.11.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16037/tuna-0.11.1-2.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-09 23:50:24 UTC
tuna-0.11.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-09-29 01:38:59 UTC
tuna-0.11.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.